# -*- coding: utf-8 -*-
"""
Created on Thu Mar 26 12:04:14 2015

@author: Antoine
"""

import sqlite3


def _cursor(db_name):
    connection = sqlite3.connect(db_name)
    return connection.cursor()

cursor = _cursor('ipt.sqlite3')

def _list_to_dict(L, labels):
    return {k: v for k,v in zip(labels, L)}


def select(sql):
    resultats = cursor.execute(sql).fetchall()
    columns = [desc[0] for desc in cursor.description]
    return [_list_to_dict(L, columns) for L in resultats]